[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#584784: also applies to unstable

Am 2010-06-07 03:44, schrieb Ben Hutchings:
> On Sun, 2010-06-06 at 23:18 +0200, Willi Mann wrote:
>>> "Kernel panic - not syncing: To avoid data corruption io_map_base MUST
>>> be set with multiple PCI domains."
>>> has been applied on all PCI MIPS systems since Linux 2.6.24.  Are you
>>> quite sure that this was introduced by the kernel upgrade and not a qemu
>>> upgrade.
>> Yes, I didn't change the qemu version, it's really only the kernel that
>> changed.
>> Attached is the dmesg output of the working kernel, version 2.6.32-9.
> OK, it looks like this is due to an botched switch from IDE to libata
> drivers on MIPS.  The qemu emulated HD controller is now being handled
> by the ide-generic driver whereas it should have been switched from piix
> to ata_piix, and ide-generic triggers this panic for reasons I don't
> fully understand.
> This will get fixed, but not immediately.

OK. As long as it gets fixed before the release... Should we notify the
d-i people so that they can put a note on the errata page?

Though I wonder why the BTS did not fully process my "found" command. It
still only marks the version in experimental as affected.


Reply to: